//
//  GameLayer.m
//  Caterpillar
//
//  Created by Brandon Trebitowski on 11/14/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "GameLayer.h"

@implementation GameLayer

@synthesize spritesBatchNode = _spritesBatchNode;

+(CCScene *) scene {
    CCScene *scene = [CCScene node];
    
    GameLayer *layer = [GameLayer node];
    
    [scene addChild: layer];
    
    return scene;
}

- (void) dealloc {
    [_spritesBatchNode release];
    [super dealloc];
}

-(id) init {
    if( (self=[super init])) {
        
        [CCTexture2D setDefaultAlphaPixelFormat:kCCTexture2DPixelFormat_RGBA4444];
        
        // 1.  
        self.spritesBatchNode = [CCSpriteBatchNode batchNodeWithFile:@"caterpillar.png"];
        [self addChild:self.spritesBatchNode];
        // 2.
        [[CCSpriteFrameCache sharedSpriteFrameCache] addSpriteFramesWithFile:@"caterpillar.plist"];
        
        [CCTexture2D setDefaultAlphaPixelFormat:kCCTexture2DPixelFormat_RGB565];        
        // 3.
        CCSprite * background = [CCSprite spriteWithSpriteFrameName:@"background.png"];
        background.anchorPoint = ccp(0,0);
        [self.spritesBatchNode addChild:background];
        
        [CCTexture2D setDefaultAlphaPixelFormat:kCCTexture2DPixelFormat_Default];
        
    }
    return self;
}
@end
