//
//  TitleLayer.m
//  Caterpillar
//
//  Created by Brandon Trebitowski on 11/14/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//
#import "TitleLayer.h"
#import "GameLayer.h"
#import "CCTransition.h"

@implementation TitleLayer

+(CCScene *) scene {
    CCScene *scene = [CCScene node];
    
    TitleLayer *layer = [TitleLayer node];
    
    [scene addChild: layer];
    
    return scene;
}

-(id) init {
    if( (self=[super init])) {              
        [CCTexture2D setDefaultAlphaPixelFormat:kCCTexture2DPixelFormat_RGB565];        
        // 1
        CCSprite * background = [CCSprite spriteWithFile:@"title.png"];
        background.anchorPoint = ccp(0,0);
        [self addChild:background];
        
        // 2
        [[CCTouchDispatcher sharedDispatcher] addTargetedDelegate:self priority:0 swallowsTouches:YES];
    }    
    return self;
}

- (BOOL)ccTouchBegan:(UITouch *)touch withEvent:(UIEvent *)event { 
    // 3
    [[CCDirector sharedDirector] replaceScene:[CCTransitionFade transitionWithDuration:.5 scene:[GameLayer scene] withColor:ccWHITE]];
    return YES;
}

@end